using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DoubleTextBoxBug
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable DT = new DataTable();
            DT.Columns.Add("DoubleValueCol", typeof(double));
            DT.Columns.Add("DoubleValueCol1", typeof(double));

            for (int i = 0; i < 4; i++)
            {
                DataRow DR = DT.NewRow();

                DR["DoubleValueCol"] = 0.0;
                DR["DoubleValueCol1"] = 0.0;

                DT.Rows.Add(DR);
            }
            this.gridDataBoundGrid1.DataSource = DT;
        }

        private void gridDataBoundGrid1_PrepareViewStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs e)
        {
            if (e.RowIndex > 0)
            {
                
                e.Style.CellValueType = typeof(double);
                e.Style.CellType = "Currency";
                e.Style.CurrencyEdit.CurrencySymbol = "";
                e.Style.CurrencyEdit.CurrencyNegativePattern = 1;
                e.Style.CurrencyEdit.CurrencyDecimalDigits = 8;
                e.Style.CurrencyEdit.NullString = "";
                e.Style.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right;
            }
        }
    }
}